## ECategoryEditor ECategoryEditor |

## Functions

ECategoryEditor * | e_category_editor_new ()
const gchar * | e_category_editor_create_category ()
gboolean | e_category_editor_edit_category ()

## Types and Values

struct | ECategoryEditor

## Description

## Functions

### e_category_editor_new ()

    ECategoryEditor *
    e_category_editor_new (void);

`e_category_editor_new` is deprecated and should not be used in newly-written code.

### e_category_editor_create_category ()

    const gchar *
    e_category_editor_create_category (ECategoryEditor *editor);

`e_category_editor_create_category` is deprecated and should not be used in newly-written code.

Since: 3.2

### e_category_editor_edit_category ()

    gboolean
    e_category_editor_edit_category (ECategoryEditor *editor,
                                     const gchar *category);

`e_category_editor_edit_category` is deprecated and should not be used in newly-written code.

Since: 3.2

## Types and Values

### struct ECategoryEditor

    struct ECategoryEditor {
    	GtkDialog parent;
    	ECategoryEditorPrivate *priv;
    };

`ECategoryEditor` is deprecated and should not be used in newly-written code.

Contains only private data that should be read and manipulated using the functions below.

Since: 3.2